/* COURSE CATALOG */

#coursecatalog {
  width: calc(50vw - 5px);
  display: inline-block;
  vertical-align: top;
  margin: 0;
  padding: 0;
  border: 0;
  height: calc(100vh - 206px);
  overflow-y: auto;
}
.courseheading {
  color: #ffffff;
  background-color: #a81919;
  border: 1px solid #a81919;
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 22px;
  font-weight: 600;
  padding: 5px 10px;
  margin: 0;
}
.courselisting {
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 20px;
  margin: 0;
}
.courselisting p {
  margin: 0;
  background-color: #ffffff;
  padding: 5px 20px 5px 20px;
  border: 1px solid #a81919;
  cursor: pointer;
  border-top: none;
}
.courselistingdate {
  font-weight: 600;
}
.courseselected {
  background-color: #f0f0f0 !important;
}
.courseicon {
  width: 22px;
  height: 22px;
  padding-right: 10px;
  vertical-align: middle;
  position: relative;
  top: -2px;
}


/* COURSE DESCRIPTION */
#coursedescription {
  width: calc(50vw - 120px);
  display: inline-block;
  vertical-align: top;
  margin: 0;
  padding: 0 50px;
  border: 0;
  height: calc(100vh - 206px);
  overflow-y: auto;
}
#coursedescriptionimage {
  width: 100%;
}
#coursedescriptiontitle {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 46px;
  margin-top: 0;
  margin-bottom: 0;
}
#coursedescriptiondate {
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 30px;
  margin-top: 10px;
  margin-bottom: 20px;
}
#coursedescriptiontext {
  display: inline-block;
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 28px;
  line-height: 38px;
  margin-top: 20px;
  margin-bottom: 20px;
}
#coursedescriptioncost {
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 28px;
  line-height: 38px;
  margin-top: 0px;
}
#coursedescriptiontext ul {
  margin-top: 5px;
}
#registerbutton {
  margin-top: 0;
}


/* COURSE CHECKOUT */

#coursecheckout {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999999;
}
#checkoutform {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: calc(90vw - 50px); 
  max-height: calc(95vh - 50px); 
  background-color: #ffffff;
  color: #000000;
  border-radius: 25px;
  padding: 50px;
  overflow-y: auto;
}
#checkoutclose {
  position: absolute;
  top: 15px;
  right: 15px;
  width: 40px;
  height: 40px;
}
#checkoutclose:hover {
  cursor: pointer;
}
#checkouttitle {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 35px;
  margin-top: 0;
  margin-bottom: 0;
}
#checkouttitle img {
  height: 50px;
  vertical-align: middle;
  margin-right: 10px;
  position: relative;
  top: -3px;
}
#checkoutdate {
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 28px;
  margin-top: 0;
  margin-bottom: 5px;
}
#checkoutcost {
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 28px;
  margin-top: 0px;
  margin-bottom: 15px;
}
#errordisplay {
  display: none;
  background-color: #a81919;
  color: #ffffff;
  font-family: "Montserrat", "Open Sans", sans-serif;
  font-size: 22px;
  padding: 15px;
  margin-bottom: -15px;
  border-radius: 5px;
  font-weight: 500;
}
#errordisplay img {
  width: 25px;
  margin-right: 10px;
  vertical-align: middle;
  position: relative;
  top: -2px;
}
#paymentformheading {
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 28px;
  font-weight: 600;
  margin-top: 30px;
  margin-bottom: 10px;
}
#payment-form input {
  background-color: #ffffff;
  font-family: "Source Sans Text VF", "Square Sans Text", sans-serif;
  font-weight: 400;
  font-size: 22px;
  font-variant-numeric: tabular-nums;
  box-shadow: none;
  padding: 10px 15px;
  border: 1px solid #333333;
  border-radius: 5px;
  margin: 5px 5px 5px 0;
}
#payment-form input::placeholder {
  color: #777777;
  opacity: 1;
}
#payment-form input:focus {
  outline: none;
  border: 2px solid #a81919;
}
#payment-form input::selection {
  color: #ffffff;
  background-color: #a81919;
}
#payment-form select {
  background-color: #ffffff;
  font-family: "Source Sans Text VF", "Square Sans Text", sans-serif;
  font-weight: 400;
  font-size: 22px;
  font-variant-numeric: tabular-nums;
  box-shadow: none;
  outline: none;
  padding: 10px 15px;
  border: 1px solid #333333;
  border-radius: 5px;
  margin: 5px 5px 5px 0;
}
#payment-form select:invalid {
  color: #777777;
  opacity: 1;
}
#payment-form select:focus {
  outline: none;
  border: 2px solid #a81919;
}
#card-button {
  display: inline-block;
  padding: 10px 20px;
  text-decoration: none;
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 26px;
  font-weight: 400;
  margin: 0 0 0 0;
  color: #ffffff;
  background-color: #a81919; 
  border: 1px solid #a81919;
} 
#card-button:hover {
  cursor: pointer;
}
#spinner {
  display: none;
  width: 50px;
  height: 50px;
  vertical-align: middle;
  position: relative;
  top: -5px;
  margin: 0 0 0 10px;
}

/* Square is so bad you guys */ 
.squareisadogsass {
  margin-bottom: 10px !important;
}
.sq-card-iframe-container {
  height: 48px !important;
}
.sq-card-message {
  font-size: 20px !Important;
}
.sq-card-message::before {
  font-size: 20px !Important;
  position: relative;
  top: -2px;
}

#paymentsuccess {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  max-width: calc(66vw - 50px); 
  max-height: calc(95vh - 50px); 
  transform: translate(-50%, -50%);
  background-color: #ffffff;
  border-radius: 25px;
  padding: 50px;
  overflow-y: auto;
}
#paymentsuccess h3 {
  display: inline-block;
  margin-bottom: 10px;
}
#paymentsuccess h4 {
  font-size: 22px;
  margin-top: 0;
  margin-bottom: 20px;
}
#paymentsuccess p {
  display: inline-block;
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 28px;
  line-height: 38px;
  margin-top: 10px;
  margin-bottom: 10px;
}
#paymentsuccess span {
  font-weight: 600;
}
#successbutton {
  display: inline-block;
  padding: 10px 20px;
  text-decoration: none;
  font-family: "Source Sans 3", "Open Sans", sans-serif;
  font-size: 26px;
  font-weight: 400;
  margin: 30px 0 0 0;
  color: #ffffff;
  background-color: #a81919; 
  border: 1px solid #a81919;
} 
#successbutton:hover {
  cursor: pointer;
}
#paymentsuccesslogo {
  height: 60px;
  vertical-align: middle;
  margin-right: 15px;
  position: relative;
  top: -12px;
}
#successclose {
  position: absolute;
  top: 15px;
  right: 15px;
  width: 40px;
  height: 40px;
}
#successclose:hover {
  cursor: pointer;
}

@media screen and (max-width: 1280px) {
  #coursedescriptiontitle {
    font-size: 38px;
  }
  #coursedescriptiondate {
    font-size: 24px;
  }
  #coursedescriptiontext {
    font-size: 24px;
    line-height: 30px;
  }
  #coursedescriptioncost {
    font-size: 24px;
    line-height: 28px;
    margin-bottom: 30px;
  }
}
@media screen and (max-width: 1024px) {
  #coursedescription {
    width: calc(50vw - 50px);
    padding: 0 25px;
  }
}
@media screen and (max-width: 800px) {
  #coursedescriptiontitle {
    font-size: 30px;
  }
  #coursedescriptiondate {
    font-size: 20px;
  }
  #coursedescriptiontext {
    font-size: 20px;
    line-height: 26px;
  }
  #coursedescriptioncost {
    font-size: 20px;
    line-height: 26px;
    margin-bottom: 25px;
  }
  #checkoutform {
    border-radius: 10px;
    padding: 50px;
  }
  #checkouttitle {
    font-size: 26px;
    margin-top: 0;
    margin-bottom: 0;
  }
  #checkouttitle img {
    height: 30px;
  }
  #checkoutdate {
    font-size: 22px;
    margin-top: 0;
    margin-bottom: 0;
  }
  #checkoutcost {
    font-size: 22px;
    margin-top: 0px;
    margin-bottom: 15px;
  }
  #errordisplay {
    font-size: 18px;
    padding: 15px 10px 10px 10px;
    margin-bottom: -15px;
    border-radius: 5px;
  }
  #errordisplay img {
    width: 25px;
    margin-right: 10px;
    vertical-align: middle;
    position: relative;
    top: -2px;
  }
  #paymentformheading {
    font-size: 20px;
    font-weight: 600;
    margin-top: 30px;
    margin-bottom: 10px;
  }
  #payment-form input {
    font-size: 18px;
    padding: 10px 15px;
    border-radius: 5px;
    margin: 5px 5px 5px 0;
  }
  #payment-form select {
    font-size: 18px;
    padding: 10px 15px;
    border-radius: 5px;
    margin: 0 5px 15px 0;
  }
  #card-button {
    padding: 10px 20px;
    font-size: 22px;
    margin: 0 0 0 0;
    border: 1px solid #a81919;
  } 
  #spinner {
    width: 50px;
    height: 50px;
    position: relative;
    top: -5px;
    margin: 0 0 0 10px;
  }
  
  /* Square is so bad you guys */ 
  .sq-card-iframe-container {
    height: auto !important;
  }
  #paymentsuccess {
    width: calc(90vw - 50px); 
  }
  #paymentsuccess h3 {
    font-size: 40px;
  }
}

@media screen and (max-width: 640px) {
  #coursecatalog {
    display: block;
    width: auto;
    height: auto;
  }
  #coursedescription {
    display: block;
    padding-top: 25px;
    width: auto;
    height: auto;
  }
  #checkoutform {
    position: fixed;
    border-radius: 10px;
    padding: 60px 20px 20px 20px; 
    width: calc(100vw - 40px); 
    max-width: none;
    max-height: none; 
    height: 85vh;
    overflow-y: auto;
    margin-bottom: 150px;
  }
  #payment-form input {
    font-size: 14px;
    max-width: 35ch;
  }
  #payment-form select {
    font-size: 14px;
  }
  #paymentsuccess {
    position: fixed;
    width: calc(100vw - 100px); 
    max-width: none;
    max-height: none; 
    text-align: center;
  }
  #paymentsuccess h3 {
    font-size: 40px;
  }
}
